# RTSP-Stream

A quick and dirty library to stream images or from a local RTSP stream

## Installation

1. Download FFMPEG

1. Clone library into a directory with `git clone ssh://git@thebword.ddns.net:3122/watsonb8/rtsp-stream.git`

1. Build library with `npm run build`

1. Install library into project with `npm install <path_to_library>`

## Sample

```
    import { Rtsp } from "rtsp-stream/lib/rtsp"

    const rtsp = new Rtsp("rtsp://example_username:example_password@192.168.1.1/live", {
        quality: 3,
        resolution: "1920x1080",
        codec: "libx264",
    })

    rtsp.on("data", (data: Buffer) => {
        fs.writeFile("path_to_output/file.jpeg", data, 'base64', (err) => {
            if(err){
                console.log(err)
            }
        });
    })
```
